{ config, lib, pkgs, ... }:
{

  # https://wiki.nixos.org/wiki/Printing

  services.printing.enable = true;

  # Enable autodiscovery of network IPP printers
  services.avahi = {
    enable = true;
    nssmdns4 = true;
    openFirewall = true; # opens port 5353
  };

}
